<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_352) on Sun Nov 20 16:10:54 CET 2022 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF8">
<title>SimplesTableau</title>
<meta name="date" content="2022-11-20">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SimplesTableau";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="index.html?SimplesTableau.html" target="_top">Frames</a></li>
<li><a href="SimplesTableau.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h2 title="Class SimplesTableau" class="title">Class SimplesTableau</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>SimplesTableau</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>class <span class="typeNameLabel">SimplesTableau</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="SimplesTableau.html#SimplesTableau--">SimplesTableau</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#afficherTab-int:A-int-">afficherTab</a></span>(int[]&nbsp;leTab,
           int&nbsp;nbElem)</code>
<div class="block">Affiche le contenu des nbElem cases d'un tableau une par une.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#copier-int:A-int-">copier</a></span>(int[]&nbsp;tabToCopy,
      int&nbsp;nbElem)</code>
<div class="block">Renvoie la copie exacte (clone) du tableau passé en paramètre.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#decalerGche-int:A-int-int-">decalerGche</a></span>(int[]&nbsp;leTab,
           int&nbsp;nbElem,
           int&nbsp;ind)</code>
<div class="block">Décale de une case de la droite vers la gauche toutes les cases d'un tableau à partir d'un indice "ind" et 
 jusque nbElem-1 ([ind]<-[ind+1]<-[ind+2]<-...</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#echange-int:A-int-int-int-">echange</a></span>(int[]&nbsp;leTab,
       int&nbsp;nbElem,
       int&nbsp;ind1,
       int&nbsp;ind2)</code>
<div class="block">Echange les contenus des cases du tableau passé en paramètre, cases identifiées par les indices ind1 et ind2.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>(package private) boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#egalite-int:A-int:A-int-int-">egalite</a></span>(int[]&nbsp;tab1,
       int[]&nbsp;tab2,
       int&nbsp;nbElem1,
       int&nbsp;nbElem2)</code>
<div class="block">Renvoie vrai si les 2 tableaux passés en paramètre sont exactement les mêmes en nombre d'éléments et en contenu (case par case).</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>(package private) boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#inclusion-int:A-int:A-int-int-">inclusion</a></span>(int[]&nbsp;tab1,
         int[]&nbsp;tab2,
         int&nbsp;nbElem1,
         int&nbsp;nbElem2)</code>
<div class="block">Renvoie vrai ssi le tableau tab1 est inclus dans tab2.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#inverse-int:A-int-">inverse</a></span>(int[]&nbsp;leTab,
       int&nbsp;nbElem)</code>
<div class="block">Renvoie un nouveau tableau qui est l'inverse de celui passé en paramètre.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#leMax-int:A-int-">leMax</a></span>(int[]&nbsp;leTab,
     int&nbsp;nbElem)</code>
<div class="block">Renvoie le maximum parmi les éléments du tableau.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#melange-int:A-int-">melange</a></span>(int[]&nbsp;leTab,
       int&nbsp;nbElem)</code>
<div class="block">Retourne un nouveau tableau qui a la même taille et les mêmes occurrences d'élements que le tableau passé en paramètre mais ces
 éléments sont répartis selon des indices aléatoires (0 <= indice <= nbElem-1).</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#principal--">principal</a></span>()</code>
<div class="block">point d’entrée de l’exécution</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#remplirAleatoire-int:A-int-int-int-">remplirAleatoire</a></span>(int[]&nbsp;leTab,
                int&nbsp;nbElem,
                int&nbsp;min,
                int&nbsp;max)</code>
<div class="block">A partir d'un tableau créé, remplir aléatoirement ce tableau de nbElem valeurs comprises entre min et max.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#remplirToutesDiff-int:A-int-">remplirToutesDiff</a></span>(int[]&nbsp;leTab,
                 int&nbsp;nbElem)</code>
<div class="block">A partir d'un tableau déjà créé, remplir le tableau de nbElem valeurs saisies par l'utilisateur.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#supprimerUneValeur-int:A-int-int-">supprimerUneValeur</a></span>(int[]&nbsp;leTab,
                  int&nbsp;nbElem,
                  int&nbsp;valeur)</code>
<div class="block">Supprime du tableau la première case rencontrée dont le contenu est égale à "valeur".</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testAfficherTab--">testAfficherTab</a></span>()</code>
<div class="block">test de la méthode afficherTab</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasCopier-int:A-int-int:A-">testCasCopier</a></span>(int[]&nbsp;tabToCopy,
             int&nbsp;nbElem,
             int[]&nbsp;repAtt)</code>
<div class="block">teste un appel de copier</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasDecalerGche-int:A-int-int-int:A-">testCasDecalerGche</a></span>(int[]&nbsp;leTab,
                  int&nbsp;nbElem,
                  int&nbsp;ind,
                  int[]&nbsp;repAtt)</code>
<div class="block">teste un appel de decalerGche</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasEchange-int:A-int-int-int-int:A-">testCasEchange</a></span>(int[]&nbsp;leTab,
              int&nbsp;nbElem,
              int&nbsp;ind1,
              int&nbsp;ind2,
              int[]&nbsp;repAtt)</code>
<div class="block">teste un appel de echange</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasEgalite-int:A-int:A-int-int-boolean-">testCasEgalite</a></span>(int[]&nbsp;tab1,
              int[]&nbsp;tab2,
              int&nbsp;nbElem1,
              int&nbsp;nbElem2,
              boolean&nbsp;repAtt)</code>
<div class="block">teste un appel de egalite</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasInclusion-int:A-int:A-int-int-boolean-">testCasInclusion</a></span>(int[]&nbsp;tab1,
                int[]&nbsp;tab2,
                int&nbsp;nbElem1,
                int&nbsp;nbElem2,
                boolean&nbsp;repAtt)</code>
<div class="block">teste un appel de inclusion</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasInverse-int:A-int-int:A-">testCasInverse</a></span>(int[]&nbsp;leTab,
              int&nbsp;nbElem,
              int[]&nbsp;repAtt)</code>
<div class="block">teste un appel de inverse</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasLeMax-int:A-int-int-">testCasLeMax</a></span>(int[]&nbsp;leTab,
            int&nbsp;nbElem,
            int&nbsp;repAtt)</code>
<div class="block">teste un appel de leMax</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasSupprimerUneValeur-int:A-int-int-int-">testCasSupprimerUneValeur</a></span>(int[]&nbsp;leTab,
                         int&nbsp;nbElem,
                         int&nbsp;valeur,
                         int&nbsp;repAtt)</code>
<div class="block">teste un appel de supprimerUneValeur</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasTirerAleatoire-int-int-">testCasTirerAleatoire</a></span>(int&nbsp;min,
                     int&nbsp;max)</code>
<div class="block">teste un appel de tirerAleatoire</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCasVerifTab-int:A-int-boolean-">testCasVerifTab</a></span>(int[]&nbsp;tab,
               int&nbsp;nb,
               boolean&nbsp;repAtt)</code>
<div class="block">teste un appel de verifTab</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testCopier--">testCopier</a></span>()</code>
<div class="block">test de la méthode copier</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testDecalerGche--">testDecalerGche</a></span>()</code>
<div class="block">test de la méthode decalerGche</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testEchange--">testEchange</a></span>()</code>
<div class="block">test de la méthode echange</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testEgalite--">testEgalite</a></span>()</code>
<div class="block">test de la méthode egalite</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testInclusion--">testInclusion</a></span>()</code>
<div class="block">test de la méthode inclusion</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testInverse--">testInverse</a></span>()</code>
<div class="block">test de la méthode inverse</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testLeMax--">testLeMax</a></span>()</code>
<div class="block">test de la méthode leMax</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testMelange--">testMelange</a></span>()</code>
<div class="block">test de la méthode melange
 Etant donné que la méthode nous renvoie un tableau rempli aléatoirement, il est difficilement possible de comparer
 le tableau de base et celui qui est retourné pour vérifier que le résultat est correct.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testRemplirAleatoire--">testRemplirAleatoire</a></span>()</code>
<div class="block">test de la méthode remplirleatoire</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testRemplirToutesDiff--">testRemplirToutesDiff</a></span>()</code>
<div class="block">test de la méthode remplirToutesDiff</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testSupprimerUneValeur--">testSupprimerUneValeur</a></span>()</code>
<div class="block">test de la méthode supprimeUneValeur</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testTirerAleatoire--">testTirerAleatoire</a></span>()</code>
<div class="block">test de la méthode tirerAleatoire</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#testVerifTab--">testVerifTab</a></span>()</code>
<div class="block">test de la méthode verifTab</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#tirerAleatoire-int-int-">tirerAleatoire</a></span>(int&nbsp;min,
              int&nbsp;max)</code>
<div class="block">Renvoie un entier aléatoire compris entre min et max (min <= valeur <= max).</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>(package private) boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimplesTableau.html#verifTab-int:A-int-">verifTab</a></span>(int[]&nbsp;leTab,
        int&nbsp;nbElem)</code>
<div class="block">Factorisation : appelé chaque fois qu'une vérification doit se faire sur la validité d'un tableau.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SimplesTableau--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SimplesTableau</h4>
<pre>SimplesTableau()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="principal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>principal</h4>
<pre>void&nbsp;principal()</pre>
<div class="block">point d’entrée de l’exécution</div>
</li>
</ul>
<a name="verifTab-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verifTab</h4>
<pre>boolean&nbsp;verifTab(int[]&nbsp;leTab,
                 int&nbsp;nbElem)</pre>
<div class="block">Factorisation : appelé chaque fois qu'une vérification doit se faire sur la validité d'un tableau. Le tableau n'est pas valide si celui-ci est inexistant 
 ou si le nombre d'éléments qu'il contiendra est incompatible avec sa taille (leTab.length)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - le tableau dont on doit vérifier l'existence (leTab différent de null)</dd>
<dd><code>nbElem</code> - le nombre d'éléments que contiendra le tableau, doit vérifier la condition 0 < nbElem <= leTab.length</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vrai ssi le tableau est valide</dd>
</dl>
</li>
</ul>
<a name="testVerifTab--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testVerifTab</h4>
<pre>void&nbsp;testVerifTab()</pre>
<div class="block">test de la méthode verifTab</div>
</li>
</ul>
<a name="testCasVerifTab-int:A-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasVerifTab</h4>
<pre>void&nbsp;testCasVerifTab(int[]&nbsp;tab,
                     int&nbsp;nb,
                     boolean&nbsp;repAtt)</pre>
<div class="block">teste un appel de verifTab</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab</code> - le tableau dont on doit vérifier l'existence (leTab différent de null)</dd>
<dd><code>nb</code> - le nombre d'éléments que contiendra le tableau, doit vérifier la condition 0 < nbElem <= leTab.length</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="afficherTab-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afficherTab</h4>
<pre>void&nbsp;afficherTab(int[]&nbsp;leTab,
                 int&nbsp;nbElem)</pre>
<div class="block">Affiche le contenu des nbElem cases d'un tableau une par une. Tenir compte des cas d'erreurs concernant leTab et nbElem (appel de verifTab).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - le tableau à afficher</dd>
<dd><code>nbElem</code> - le nombre d'entiers que contient le tableau</dd>
</dl>
</li>
</ul>
<a name="testAfficherTab--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testAfficherTab</h4>
<pre>void&nbsp;testAfficherTab()</pre>
<div class="block">test de la méthode afficherTab</div>
</li>
</ul>
<a name="tirerAleatoire-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tirerAleatoire</h4>
<pre>int&nbsp;tirerAleatoire(int&nbsp;min,
                   int&nbsp;max)</pre>
<div class="block">Renvoie un entier aléatoire compris entre min et max (min <= valeur <= max). Vérifier que min <= max et min >= 0, sinon afficher une erreur (et dans ce cas retourner -1).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>min</code> - - la valeur de l'entier minimum</dd>
<dd><code>max</code> - - la valeur de l'entier maximum</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'entier aléatoire</dd>
</dl>
</li>
</ul>
<a name="testTirerAleatoire--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testTirerAleatoire</h4>
<pre>void&nbsp;testTirerAleatoire()</pre>
<div class="block">test de la méthode tirerAleatoire</div>
</li>
</ul>
<a name="testCasTirerAleatoire-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasTirerAleatoire</h4>
<pre>void&nbsp;testCasTirerAleatoire(int&nbsp;min,
                           int&nbsp;max)</pre>
<div class="block">teste un appel de tirerAleatoire</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>min</code> - - la valeur de l'entier minimum</dd>
<dd><code>max</code> - - la valeur de l'entier maximum</dd>
</dl>
</li>
</ul>
<a name="remplirAleatoire-int:A-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remplirAleatoire</h4>
<pre>void&nbsp;remplirAleatoire(int[]&nbsp;leTab,
                      int&nbsp;nbElem,
                      int&nbsp;min,
                      int&nbsp;max)</pre>
<div class="block">A partir d'un tableau créé, remplir aléatoirement ce tableau de nbElem valeurs comprises entre min et max. 
 Tenir compte des cas d'erreurs concernant leTab et nbElem (appel de verifTab). 
 Vérifier que min <= max, sinon afficher également une erreur. Utiliser obligatoirement la méthode "int tirerAleatoire (int min, int max)".</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à remplir de valeurs tirées aléatoirement</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contiendra le tableau</dd>
<dd><code>min</code> - - la valeur de l'entier minimum</dd>
<dd><code>max</code> - - la valeur de l'entier maximum</dd>
</dl>
</li>
</ul>
<a name="testRemplirAleatoire--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testRemplirAleatoire</h4>
<pre>void&nbsp;testRemplirAleatoire()</pre>
<div class="block">test de la méthode remplirleatoire</div>
</li>
</ul>
<a name="egalite-int:A-int:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>egalite</h4>
<pre>boolean&nbsp;egalite(int[]&nbsp;tab1,
                int[]&nbsp;tab2,
                int&nbsp;nbElem1,
                int&nbsp;nbElem2)</pre>
<div class="block">Renvoie vrai si les 2 tableaux passés en paramètre sont exactement les mêmes en nombre d'éléments et en contenu (case par case). 
 Tenir compte des cas d'erreurs concernant tab1, nbElem1 et tab2, nbElem2 (appel de verifTab 2 fois) et afficher un éventuel message d'erreur (et dans ce cas renvoyer faux).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab1</code> - - le 1er tableau à comparer</dd>
<dd><code>tab2</code> - - le 2ème tableau à comparer</dd>
<dd><code>nbElem1</code> - - le nombre d'entiers présents dans le 1er tableau</dd>
<dd><code>nbElem2</code> - - le nombre d'entiers présents dans le 2ème tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true si égalité parfaite sinon false</dd>
</dl>
</li>
</ul>
<a name="testEgalite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testEgalite</h4>
<pre>void&nbsp;testEgalite()</pre>
<div class="block">test de la méthode egalite</div>
</li>
</ul>
<a name="testCasEgalite-int:A-int:A-int-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasEgalite</h4>
<pre>void&nbsp;testCasEgalite(int[]&nbsp;tab1,
                    int[]&nbsp;tab2,
                    int&nbsp;nbElem1,
                    int&nbsp;nbElem2,
                    boolean&nbsp;repAtt)</pre>
<div class="block">teste un appel de egalite</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab1</code> - - le 1er tableau à comparer</dd>
<dd><code>tab2</code> - - le 2ème tableau à comparer</dd>
<dd><code>nbElem1</code> - - le nombre d'entiers présents dans le 1er tableau</dd>
<dd><code>nbElem2</code> - - le nombre d'entiers présents dans le 2ème tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="copier-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copier</h4>
<pre>int[]&nbsp;copier(int[]&nbsp;tabToCopy,
             int&nbsp;nbElem)</pre>
<div class="block">Renvoie la copie exacte (clone) du tableau passé en paramètre.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tabToCopy</code> - - le tableau à copier</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nouveau tableau qui est la copie du tableau passé en paramètre</dd>
</dl>
</li>
</ul>
<a name="testCopier--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCopier</h4>
<pre>void&nbsp;testCopier()</pre>
<div class="block">test de la méthode copier</div>
</li>
</ul>
<a name="testCasCopier-int:A-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasCopier</h4>
<pre>void&nbsp;testCasCopier(int[]&nbsp;tabToCopy,
                   int&nbsp;nbElem,
                   int[]&nbsp;repAtt)</pre>
<div class="block">teste un appel de copier</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tabToCopy</code> - - le tableau à copier</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="leMax-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>leMax</h4>
<pre>int&nbsp;leMax(int[]&nbsp;leTab,
          int&nbsp;nbElem)</pre>
<div class="block">Renvoie le maximum parmi les éléments du tableau.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le maximum des éléments du tableau</dd>
</dl>
</li>
</ul>
<a name="testLeMax--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testLeMax</h4>
<pre>void&nbsp;testLeMax()</pre>
<div class="block">test de la méthode leMax</div>
</li>
</ul>
<a name="testCasLeMax-int:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasLeMax</h4>
<pre>void&nbsp;testCasLeMax(int[]&nbsp;leTab,
                  int&nbsp;nbElem,
                  int&nbsp;repAtt)</pre>
<div class="block">teste un appel de leMax</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="inverse-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inverse</h4>
<pre>int[]&nbsp;inverse(int[]&nbsp;leTab,
              int&nbsp;nbElem)</pre>
<div class="block">Renvoie un nouveau tableau qui est l'inverse de celui passé en paramètre. Son jème élément est égal au (nbElem+1-j) élément du tableau initial 
 (dans l'explication, j=1 signifie premier élément du tableau).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nouveau tableau qui est l'inverse de leTab sur la plage (0...nbElem-1)</dd>
</dl>
</li>
</ul>
<a name="testInverse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testInverse</h4>
<pre>void&nbsp;testInverse()</pre>
<div class="block">test de la méthode inverse</div>
</li>
</ul>
<a name="testCasInverse-int:A-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasInverse</h4>
<pre>void&nbsp;testCasInverse(int[]&nbsp;leTab,
                    int&nbsp;nbElem,
                    int[]&nbsp;repAtt)</pre>
<div class="block">teste un appel de inverse</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="echange-int:A-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>echange</h4>
<pre>void&nbsp;echange(int[]&nbsp;leTab,
             int&nbsp;nbElem,
             int&nbsp;ind1,
             int&nbsp;ind2)</pre>
<div class="block">Echange les contenus des cases du tableau passé en paramètre, cases identifiées par les indices ind1 et ind2. Vérifier que les indices ind1 et ind2 sont 
 bien compris entre zéro et (nbElem-1), sinon afficher un message d'erreur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>ind1</code> - - numéro de la première case à échanger</dd>
<dd><code>ind2</code> - - numéro de la deuxième case à échanger</dd>
</dl>
</li>
</ul>
<a name="testEchange--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testEchange</h4>
<pre>void&nbsp;testEchange()</pre>
<div class="block">test de la méthode echange</div>
</li>
</ul>
<a name="testCasEchange-int:A-int-int-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasEchange</h4>
<pre>void&nbsp;testCasEchange(int[]&nbsp;leTab,
                    int&nbsp;nbElem,
                    int&nbsp;ind1,
                    int&nbsp;ind2,
                    int[]&nbsp;repAtt)</pre>
<div class="block">teste un appel de echange</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>ind1</code> - - numéro de la première case à échanger</dd>
<dd><code>ind2</code> - - numéro de la deuxième case à échanger</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="melange-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>melange</h4>
<pre>int[]&nbsp;melange(int[]&nbsp;leTab,
              int&nbsp;nbElem)</pre>
<div class="block">Retourne un nouveau tableau qui a la même taille et les mêmes occurrences d'élements que le tableau passé en paramètre mais ces
 éléments sont répartis selon des indices aléatoires (0 <= indice <= nbElem-1). Une technique simple consiste à utiliser les méthodes
 "echange" et "tirerAleatoire" pour effectuer le mélange.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nouveau tableau qui a le même contenu que le tableau initial mais mélangé</dd>
</dl>
</li>
</ul>
<a name="testMelange--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testMelange</h4>
<pre>void&nbsp;testMelange()</pre>
<div class="block">test de la méthode melange
 Etant donné que la méthode nous renvoie un tableau rempli aléatoirement, il est difficilement possible de comparer
 le tableau de base et celui qui est retourné pour vérifier que le résultat est correct. Une solution serait de lister
 tous les cas possibles mais cette méthode est trop périlleuse, car il peut y avoir un nombre de possibilité très grand.
 Il se peut que même avec un mélange, le tableau reste inchangé car, par pur hasard, les valeurs sont retournées à leur indice de base.
 Un contrôle visuel est donc nécessaire. Il faut vérifier que les valeurs ont changé d'indice (si on n'a pas la malchance de retomber sur
 un même tableau qui est resté inchangé) et que toutes les valeurs présentes au début se retrouvent après le mélange.</div>
</li>
</ul>
<a name="decalerGche-int:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decalerGche</h4>
<pre>void&nbsp;decalerGche(int[]&nbsp;leTab,
                 int&nbsp;nbElem,
                 int&nbsp;ind)</pre>
<div class="block">Décale de une case de la droite vers la gauche toutes les cases d'un tableau à partir d'un indice "ind" et 
 jusque nbElem-1 ([ind]<-[ind+1]<-[ind+2]<-...<-[nbElem-2]<-[nbElem-1]). Vérifier que ind est compris entre 0 et (nbElem-2) sinon afficher une erreur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>ind</code> - - l'indice à partir duquel commence le décalage à gauche</dd>
</dl>
</li>
</ul>
<a name="testDecalerGche--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testDecalerGche</h4>
<pre>void&nbsp;testDecalerGche()</pre>
<div class="block">test de la méthode decalerGche</div>
</li>
</ul>
<a name="testCasDecalerGche-int:A-int-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasDecalerGche</h4>
<pre>void&nbsp;testCasDecalerGche(int[]&nbsp;leTab,
                        int&nbsp;nbElem,
                        int&nbsp;ind,
                        int[]&nbsp;repAtt)</pre>
<div class="block">teste un appel de decalerGche</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>ind</code> - - l'indice à partir duquel commence le décalage à gauche</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="supprimerUneValeur-int:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supprimerUneValeur</h4>
<pre>int&nbsp;supprimerUneValeur(int[]&nbsp;leTab,
                       int&nbsp;nbElem,
                       int&nbsp;valeur)</pre>
<div class="block">Supprime du tableau la première case rencontrée dont le contenu est égale à "valeur". La case du tableau est supprimée par
 décalage à gauche des cases du tableau. L'appel de la méthode "decalerGche" est obligatoire. A l'issue de la suppression (si elle
 existe) le nombre d'éléments dans le tableau est décrémenté et retourné.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>valeur</code> - - le contenu de la première case à supprimer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre d'éléments dans le tableau (éventuellement inchangé)</dd>
</dl>
</li>
</ul>
<a name="testSupprimerUneValeur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testSupprimerUneValeur</h4>
<pre>void&nbsp;testSupprimerUneValeur()</pre>
<div class="block">test de la méthode supprimeUneValeur</div>
</li>
</ul>
<a name="testCasSupprimerUneValeur-int:A-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasSupprimerUneValeur</h4>
<pre>void&nbsp;testCasSupprimerUneValeur(int[]&nbsp;leTab,
                               int&nbsp;nbElem,
                               int&nbsp;valeur,
                               int&nbsp;repAtt)</pre>
<div class="block">teste un appel de supprimerUneValeur</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau</dd>
<dd><code>nbElem</code> - - le nombre d'entiers présents dans le tableau</dd>
<dd><code>valeur</code> - - le contenu de la première case à supprimer</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="inclusion-int:A-int:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inclusion</h4>
<pre>boolean&nbsp;inclusion(int[]&nbsp;tab1,
                  int[]&nbsp;tab2,
                  int&nbsp;nbElem1,
                  int&nbsp;nbElem2)</pre>
<div class="block">Renvoie vrai ssi le tableau tab1 est inclus dans tab2. Autrement dit, si tous les éléments de tab1 se retrouvent intégralement dans
 tab2 (y compris les doublons) mais pas nécessairement dans le même ordre. L'utilisation de méthodes déjà écrites est autorisé</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab1</code> - - le premier tableau</dd>
<dd><code>tab2</code> - - le deuxième tableau</dd>
<dd><code>nbElem1</code> - - le nombre d'entiers présents dans le tableau1</dd>
<dd><code>nbElem2</code> - - le nombre d'entiers présents dans le tableau2</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vrai ssi tableau1 est inclus dans tableau2</dd>
</dl>
</li>
</ul>
<a name="testInclusion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testInclusion</h4>
<pre>void&nbsp;testInclusion()</pre>
<div class="block">test de la méthode inclusion</div>
</li>
</ul>
<a name="testCasInclusion-int:A-int:A-int-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCasInclusion</h4>
<pre>void&nbsp;testCasInclusion(int[]&nbsp;tab1,
                      int[]&nbsp;tab2,
                      int&nbsp;nbElem1,
                      int&nbsp;nbElem2,
                      boolean&nbsp;repAtt)</pre>
<div class="block">teste un appel de inclusion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab1</code> - - le premier tableau</dd>
<dd><code>tab2</code> - - le deuxième tableau</dd>
<dd><code>nbElem1</code> - - le nombre d'entiers présents dans le tableau1</dd>
<dd><code>nbElem2</code> - - le nombre d'entiers présents dans le tableau2</dd>
<dd><code>repAtt</code> - resultat attendu</dd>
</dl>
</li>
</ul>
<a name="remplirToutesDiff-int:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remplirToutesDiff</h4>
<pre>void&nbsp;remplirToutesDiff(int[]&nbsp;leTab,
                       int&nbsp;nbElem)</pre>
<div class="block">A partir d'un tableau déjà créé, remplir le tableau de nbElem valeurs saisies par l'utilisateur. Au fur et à mesure de la saisie, si la
 nouvelle valeur saisie existe déjà dans le tableau alors ne pas l'insérer et demander de ressaisir. Tenir compte des cas d'erreurs
 concernant leTab et nbElem (appel de verifTab).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leTab</code> - - le tableau à remplir d'éléments tous différents</dd>
<dd><code>nbElem</code> - - le nombre d'entiers que contiendra le tableau</dd>
</dl>
</li>
</ul>
<a name="testRemplirToutesDiff--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>testRemplirToutesDiff</h4>
<pre>void&nbsp;testRemplirToutesDiff()</pre>
<div class="block">test de la méthode remplirToutesDiff</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="index.html?SimplesTableau.html" target="_top">Frames</a></li>
<li><a href="SimplesTableau.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
